---
updatedAt: 2025-06-12T23:57:37.000Z
agentTools:
  projectIndex: https://docs.fiatrepublic.com/llms.txt
---

# Update Individual End User

While you can update most address details (e.g., street address, city, state), please note that the `countryCode` is **immutable** once the address object is created.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "fiat-republic",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox.fiatrepublic.com/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/end-users/individuals/{id}": {
      "patch": {
        "summary": "Update Individual End User",
        "description": "",
        "operationId": "update-individual-end-user",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "ID of Individual End User that needs to be updated",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "ipAddress": {
                    "type": "string",
                    "description": "IP address from where the user signed up on your platform."
                  },
                  "person": {
                    "type": "object",
                    "properties": {
                      "address": {
                        "type": "object",
                        "description": "Home Address of the Individual.",
                        "required": [
                          "line1",
                          "city",
                          "postalCode",
                          "country"
                        ],
                        "properties": {
                          "line1": {
                            "type": "string"
                          },
                          "line2": {
                            "type": "string"
                          },
                          "city": {
                            "type": "string"
                          },
                          "state": {
                            "type": "string",
                            "description": "Required for USD Payees"
                          },
                          "postalCode": {
                            "type": "string"
                          },
                          "country": {
                            "type": "string",
                            "description": "Two-letter [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country code e.g. `GB` for United Kingdom"
                          }
                        }
                      },
                      "birthCountry": {
                        "type": "string",
                        "description": "Two-letter [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country code e.g. `GB` for United Kingdom"
                      },
                      "dob": {
                        "type": "string",
                        "description": "Date of Birth of the Individual in `YYYY-MM-DD` format. e.g. `1975-04-05`",
                        "format": "date"
                      },
                      "email": {
                        "type": "string",
                        "description": "Email of the Individual."
                      },
                      "firstName": {
                        "type": "string",
                        "description": "First Name of the Individual."
                      },
                      "lastName": {
                        "type": "string",
                        "description": "Last Name of the Individual."
                      },
                      "nationality": {
                        "type": "array",
                        "description": "Two-letter [ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country code e.g. `GB` for United Kingdom. One of more nationalities can be provided.",
                        "items": {
                          "type": "string"
                        }
                      },
                      "phone": {
                        "type": "string",
                        "description": "Phone number of the Individual including country prefix. e.g. `+447788661100`"
                      },
                      "identificationDocument": {
                        "type": "object",
                        "description": "Required for USD",
                        "properties": {
                          "number": {
                            "type": "string"
                          },
                          "type": {
                            "type": "string",
                            "description": "Type of identity document",
                            "enum": [
                              "WORK_PERMIT",
                              "PASSPORT",
                              "NATIONAL_ID",
                              "DRIVERS_LICENCE"
                            ]
                          }
                        }
                      }
                    }
                  },
                  "metadata": {
                    "type": "array",
                    "items": {
                      "type": "string"
                    }
                  },
                  "riskRating": {
                    "type": "string",
                    "enum": [
                      "\"LOW\"",
                      "\"MEDIUM\"",
                      "\"HIGH\""
                    ]
                  },
                  "signupAt": {
                    "type": "string",
                    "format": "date-time"
                  },
                  "status": {
                    "type": "string",
                    "enum": [
                      "ACTIVE",
                      "SUSPENDED",
                      "CLOSED"
                    ]
                  },
                  "linkedCryptoWallets": {
                    "type": "object",
                    "description": "Details of known crypto wallets linked with the End User. Highly recommend that this information is provided for AML monitoring.",
                    "properties": {
                      "coin": {
                        "type": "string",
                        "description": "Symbol of the coin or token. e.g. `BTC` or `ETH`"
                      },
                      "walletAddress": {
                        "type": "string",
                        "description": "Blockchain wallet id of the coin or token"
                      },
                      "relationship": {
                        "type": "array",
                        "description": "One or more relationships between the End User and the walletId.<br>`OWN` - The End User's own wallet.<br>`SENDER` - The End User has sent value to the wallet<br>`RECEIVER` - The End User has received value from this wallet.",
                        "items": {
                          "type": "string"
                        }
                      }
                    }
                  },
                  "tags": {
                    "type": "string",
                    "description": "Tags allowing you to provide additional risk related information for the End User e.g. PEP"
                  },
                  "annualSalaryRange": {
                    "type": "string",
                    "description": "Value of annual salary of the Individual End User (in EUR)",
                    "enum": [
                      "RANGE_0_TO_25000",
                      "RANGE_25000_TO_50000",
                      "RANGE_50000_TO_100000",
                      "RANGE_100000_TO_150000",
                      "ABOVE_150000"
                    ]
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n   \"id\":\"eus_j82rl497g47g5ykvzn\",\n   \"person\":{\n      \"firstName\":\"Satoshi\",\n      \"lastName\":\"Nakamoto\",\n      \"address\":{\n         \"line1\":\"172 Buckingham Avenue\",\n         \"line2\":null,\n         \"city\":\"Slough\",\n         \"state\":null,\n         \"postalCode\":\"SL1 4RD\",\n         \"country\":\"GB\"\n      },\n      \"email\":\"satoshi@bitcoin.com\",\n      \"phone\":\"+448980098989\",\n      \"birthCountry\":\"GB\",\n      \"nationality\":[\n         \"GB\",\n         \"US\"\n      ],\n      \"dob\":\"1975-04-05\"\n   },\n   \"ipAddress\":\"86.23.22.163\",\n   \"tags\":[\n      \"PEP\"\n   ],\n   \"status\":\"ACTIVE\",\n   \"createdAt\":1637049210552,\n   \"updatedAt\":1637049210552,\n   \"metadata\":{\n      \"userId\":\"usr12345\"\n   },\n   \"linkedCryptoWallets\":[\n      {\n         \"coin\":\"BTC\",\n         \"walletAddress\":\"0197fd09370jf0u08010jh00\",\n         \"relationship\":[\n            \"OWN\"\n         ]\n      },\n      {\n         \"coin\":\"ETH\",\n         \"walletAddress\":\"019dfd37ds0jf0u08d1010jh\",\n         \"relationship\":[\n            \"RECEIVER\"\n         ]\n      },\n      {\n         \"coin\":\"XLM\",\n         \"walletAddress\":\"aa01a971209370dss10jhf32\",\n         \"relationship\":[\n            \"OWN\",\n            \"SENDER\"\n         ]\n      }\n   ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "example": "eus_j82rl497g47g5ykvzn"
                    },
                    "person": {
                      "type": "object",
                      "properties": {
                        "firstName": {
                          "type": "string",
                          "example": "Satoshi"
                        },
                        "lastName": {
                          "type": "string",
                          "example": "Nakamoto"
                        },
                        "address": {
                          "type": "object",
                          "properties": {
                            "line1": {
                              "type": "string",
                              "example": "172 Buckingham Avenue"
                            },
                            "line2": {},
                            "city": {
                              "type": "string",
                              "example": "Slough"
                            },
                            "state": {},
                            "postalCode": {
                              "type": "string",
                              "example": "SL1 4RD"
                            },
                            "country": {
                              "type": "string",
                              "example": "GB"
                            }
                          }
                        },
                        "email": {
                          "type": "string",
                          "example": "satoshi@bitcoin.com"
                        },
                        "phone": {
                          "type": "string",
                          "example": "+448980098989"
                        },
                        "birthCountry": {
                          "type": "string",
                          "example": "GB"
                        },
                        "nationality": {
                          "type": "array",
                          "items": {
                            "type": "string",
                            "example": "GB"
                          }
                        },
                        "dob": {
                          "type": "string",
                          "example": "1975-04-05"
                        }
                      }
                    },
                    "ipAddress": {
                      "type": "string",
                      "example": "86.23.22.163"
                    },
                    "tags": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "PEP"
                      }
                    },
                    "status": {
                      "type": "string",
                      "example": "ACTIVE"
                    },
                    "createdAt": {
                      "type": "integer",
                      "example": 1637049210552,
                      "default": 0
                    },
                    "updatedAt": {
                      "type": "integer",
                      "example": 1637049210552,
                      "default": 0
                    },
                    "metadata": {
                      "type": "object",
                      "properties": {
                        "userId": {
                          "type": "string",
                          "example": "usr12345"
                        }
                      }
                    },
                    "linkedCryptoWallets": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "coin": {
                            "type": "string",
                            "example": "BTC"
                          },
                          "walletAddress": {
                            "type": "string",
                            "example": "0197fd09370jf0u08010jh00"
                          },
                          "relationship": {
                            "type": "array",
                            "items": {
                              "type": "string",
                              "example": "OWN"
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"errorCode\": \"INVALID_REQUEST_DATA\",\n    \"message\": \"Invalid IndividualEndUserRequest.\",\n    \"warnings\": [\n        {\n            \"position\": \"person.address.city\",\n            \"issue\": \"Field is required\"\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "errorCode": {
                      "type": "string",
                      "example": "INVALID_REQUEST_DATA"
                    },
                    "message": {
                      "type": "string",
                      "example": "Invalid IndividualEndUserRequest."
                    },
                    "warnings": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "position": {
                            "type": "string",
                            "example": "person.address.city"
                          },
                          "issue": {
                            "type": "string",
                            "example": "Field is required"
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"errorCode\": \"RESOURCE_MISSING\",\n    \"message\": \"IndividualEndUser with 'eus_xxxxyyyyzzzz' id does not exist.\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "errorCode": {
                      "type": "string",
                      "example": "RESOURCE_MISSING"
                    },
                    "message": {
                      "type": "string",
                      "example": "IndividualEndUser with 'eus_xxxxyyyyzzzz' id does not exist."
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request PATCH \\\n     --url https://sandbox.fiatrepublic.com/api/v1/end-users/individuals/eus_j82rl497g47g5ykvzn \\\n     --header 'Accept: application/json' \\\n     --header 'Authorization: Bearer ZmlhdHJlcHVibGljOmZpYXRyZXB1YmxpYw==' \\\n     --header 'Content-Type: application/json' \\\n     --data '\n{\n    \"person\": {\n        \"phone\": \"+448980098989\"\n    },\n    \"metadata\": {\n        \"userId\": \"usr12345\"\n    }\n}\n'"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```